package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class AddPlan implements Serializable {
    private String id;
    @NotBlank(message = "code不能为空")
    private String code;
    @NotBlank(message = "name不能为空")
    private String name;
    @NotBlank(message = "请上传附件")
    private String attach;
    @NotBlank(message = "请上传附件")
    private String attachName;


    @NotBlank(message = "type不能为空")
    private String type;

    private String planTypeId;

    private String planType;

    private String assembly;

    private Integer assemblyMax;

    private String attach2;

    private String attachName2;


    public String getPlanTypeId() {
        return planTypeId;
    }

    public void setPlanTypeId(String planTypeId) {
        this.planTypeId = planTypeId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAttach() {
        return attach;
    }

    public void setAttach(String attach) {
        this.attach = attach;
    }


    public String getAttachName() {
        return attachName;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }

    public String getPlanType() {
        return planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }

    public String getAssembly() {
        return assembly;
    }

    public void setAssembly(String assembly) {
        this.assembly = assembly;
    }

    public Integer getAssemblyMax() {
        return assemblyMax;
    }

    public void setAssemblyMax(Integer assemblyMax) {
        this.assemblyMax = assemblyMax;
    }

    public String getAttach2() {
        return attach2;
    }

    public void setAttach2(String attach2) {
        this.attach2 = attach2;
    }

    public String getAttachName2() {
        return attachName2;
    }

    public void setAttachName2(String attachName2) {
        this.attachName2 = attachName2;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
